GrailsCoreDependenciesPomGenerator (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.resolve

## [Groovy] Class GrailsCoreDependenciesPomGenerator

- org.codehaus.groovy.grails.resolve.GrailsCoreDependenciesPomGenerator

- Generates the 'grails-dependencies' POM file

  Authors:
    Graeme Rocher
  Since:
    2.4.1

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.lang.String` | `grailsVersion`
    `java.io.File` | `targetFile`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsCoreDependenciesPomGenerator (java.lang.String grailsVersion, java.io.File targetFile)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `buildDependencies(groovy.xml.MarkupBuilder builder, java.lang.String mavenScope, java.util.Collection<Dependency> dependencies)`
    `void` | `buildPom()` Generates the POM file for the requested Grails version and dependency scope.
    `static void` | `main(java.lang.String[] args)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### java.lang.String grailsVersion

    - #### java.io.File targetFile

  - ### Constructor Detail

    - #### GrailsCoreDependenciesPomGenerator(java.lang.String grailsVersion, java.io.File targetFile)

  - ### Method Detail

    - #### void buildDependencies(groovy.xml.MarkupBuilder builder, java.lang.String mavenScope, java.util.Collection<Dependency> dependencies)

    - #### void buildPom()

      Generates the POM file for the requested Grails version and dependency scope.

    - #### static void main(java.lang.String[] args)